function changeWeatherToSunnyIfNecessary() {
  // Directly attempt to change the weather if it's Rain (1) or Thunder (2)
  if (mc.getWeather() === 1 || mc.getWeather() === 2) {
    // Make up to 6 attempts to set the weather to Clear (0 represents Clear weather)
    for (let attempts = 0; attempts < 6; attempts++) {
      if (mc.setWeather(0)) break; // Exit the loop if weather change was successful
    }
  }
}

// This function sets up a repeating task that checks and changes the weather as necessary
function startWeatherTracking() {
  // Call the function immediately to ensure sunny weather at server start
  changeWeatherToSunnyIfNecessary();
  
  // Set an interval to periodically check and change the weather.
  // 30000 milliseconds equals 30 seconds.
  setInterval(changeWeatherToSunnyIfNecessary, 30000);
}

mc.listen("onServerStarted", () => {
  startWeatherTracking();
});
